> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List External Vettings

> Get list of valid external vetting record for a given brand



## OpenAPI

````yaml https://telnyx-openapi-ng.s3.us-east-1.amazonaws.com/messaging-10dlc/brands.yml get /10dlc/brand/{brandId}/externalVetting
openapi: 3.1.0
info:
  title: Telnyx 10DLC Brands API
  version: 2.0.0
  description: API for 10DLC brand management.
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
paths:
  /10dlc/brand/{brandId}/externalVetting:
    get:
      tags:
        - Brands
      summary: List External Vettings
      description: Get list of valid external vetting record for a given brand
      operationId: ListExternalVettings
      parameters:
        - required: true
          schema:
            title: Brandid
            type: string
          name: brandId
          in: path
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExternalVettingList'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
        4XX:
          $ref: '#/components/responses/10dlc_GenericErrorResponse'
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Telnyx from 'telnyx';


            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });


            const externalVettings = await
            client.messaging10dlc.brand.externalVetting.list('brandId');


            console.log(externalVettings);
        - lang: Python
          source: >-
            import os

            from telnyx import Telnyx


            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )

            external_vettings =
            client.messaging_10dlc.brand.external_vetting.list(
                "brandId",
            )

            print(external_vettings)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\texternalVettings, err := client.Messaging10dlc.Brand.ExternalVetting.List(context.TODO(), \"brandId\")\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", externalVettings)\n}\n"
        - lang: Java
          source: >-
            package com.telnyx.sdk.example;


            import com.telnyx.sdk.client.TelnyxClient;

            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;

            import
            com.telnyx.sdk.models.messaging10dlc.brand.externalvetting.ExternalVettingListParams;

            import
            com.telnyx.sdk.models.messaging10dlc.brand.externalvetting.ExternalVettingListResponse;


            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    List<ExternalVettingListResponse> externalVettings = client.messaging10dlc().brand().externalVetting().list("brandId");
                }
            }
        - lang: Ruby
          source: >-
            require "telnyx"


            telnyx = Telnyx::Client.new(api_key: "My API Key")


            external_vettings =
            telnyx.messaging_10dlc.brand.external_vetting.list("brandId")


            puts(external_vettings)
        - lang: CLI
          source: |-
            telnyx messaging-10dlc:brand:external-vetting list \
              --api-key 'My API Key' \
              --brand-id brandId
components:
  schemas:
    ExternalVettingList:
      title: External vetting list
      type: array
      items:
        $ref: '#/components/schemas/ExternalVetting'
    HTTPValidationError:
      title: HTTPValidationError
      type: object
      properties:
        detail:
          title: Detail
          type: array
          items:
            $ref: '#/components/schemas/ValidationError'
    ExternalVetting:
      title: ExternalVetting
      type: object
      properties:
        evpId:
          title: Evpid
          maxLength: 10
          type: string
          description: External vetting provider ID for the brand.
        vettingId:
          title: vettingId
          type: string
          description: >-
            Unique ID that identifies a vetting transaction performed by a
            vetting provider. This ID is provided by the vetting provider at
            time of vetting.
        vettingToken:
          title: vettingToken
          type: string
          description: Required by some providers for vetting record confirmation.
        vettingScore:
          title: vettingScore
          type: integer
          description: Vetting score ranging from 0-100.
        vettingClass:
          title: Vettingclass
          type: string
          description: Identifies the vetting classification.
        vettedDate:
          title: vettedDate
          type: string
          description: >-
            Vetting effective date. This is the date when vetting was completed,
            or the starting effective date in ISO 8601 format. If this date is
            missing, then the vetting was not complete or not valid.
        createDate:
          title: createDate
          type: string
          description: >-
            Vetting submission date. This is the date when the vetting request
            is generated in ISO 8601 format.
    ValidationError:
      title: ValidationError
      required:
        - loc
        - msg
        - type
      type: object
      properties:
        loc:
          title: Location
          type: array
          items:
            anyOf:
              - type: string
              - type: integer
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
    10dlc_Errors:
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/10dlc_Error'
      type: object
    10dlc_Error:
      required:
        - code
        - title
      type: object
      properties:
        code:
          type: string
        title:
          type: string
        detail:
          type: string
        source:
          type: object
          properties:
            pointer:
              description: JSON pointer (RFC6901) to the offending entity.
              type: string
            parameter:
              description: Indicates which query parameter caused the error.
              type: string
  responses:
    10dlc_GenericErrorResponse:
      description: Generic response error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/10dlc_Errors'
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````